# Class CertificateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.security.cert.CertificateException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CertificateEncodingException`, `CertificateExpiredException`, `CertificateNotYetValidException`, `CertificateParsingException`

@Deprecated(since="9", forRemoval=true) public class CertificateException extends Exception
Deprecated, for removal: This API element is subject to removal in a future version.
Use the classes in `java.security.cert` instead.
This exception indicates one of a variety of certificate problems.

Note: The classes in the package `javax.security.cert` exist for compatibility with earlier versions of the Java Secure Sockets Extension (JSSE). New applications should instead use the standard Java SE certificate classes located in `java.security.cert`.

Since:
  1.4
See Also:
  - `Certificate`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertificateException()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a certificate exception with no detail message.
  `CertificateException(String msg)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a certificate exception with the given detail message.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CertificateException

    public CertificateException()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a certificate exception with no detail message. A detail message is a String that describes this particular exception.

  - ### CertificateException

    public CertificateException(String msg)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a certificate exception with the given detail message. A detail message is a String that describes this particular exception.
    Parameters:
      `msg` - the detail message.